Section: extra-rust

Depends: gcc-runtime, http-parser, llvm-runtime

Depends (build): cmake, curl, libffi, llvm, ninja

Replaces: cargo<=0.17.0-1, rustfmt<=0.8.3-1

Breaks: cargo<=0.17.0-1, rustfmt<=0.8.3-1

Provides: rust

Links: Changelog, Reverse dependency, Report issues

Issue 431

Library version (sover) dependency unmet

1:1.57.0 (amd64/stable)

(Dependency not found)

  • librustc_driver-8ccf0c4169c5c73b.so
  • libstd-ebe8f57f3ae836ed.so
  • libtest-7a5b979bd8d17ac2.so

1:1.57.0 (arm64/stable)

(Dependency not found)

  • librustc_driver-72d75489ab79bece.so
  • libstd-0402e3a412efa8f5.so
  • libtest-8483f3ba2b79047e.so

1:1.57.0 (loongson3/stable)

(Dependency not found)

  • librustc_driver-597bf0fe6a4f9bbc.so
  • libstd-eaa7cf46e40f7954.so
  • libtest-d3b98b7b1bc6e23b.so

1:1.57.0 (ppc64el/stable)

(Dependency not found)

  • librustc_driver-9d0e83d2d26ddb77.so
  • libstd-e77e8772008819d6.so
  • libtest-90be46b18ad222e4.so

Issue 432

Library dependency without PKGDEP

1:1.57.0 (loongson3/stable)

Depends: curl, openssl

openssl 1.1.1l (loongson3/stable)

  • libcrypto.1.1

curl 7.79.1 (loongson3/stable)

  • libcurl.4

openssl 1.1.1l (loongson3/stable)

  • libssl.1.1